Page MenuHomeFreeBSD

veriexec: Improve comments
ClosedPublic

Authored by imp on Mar 14 2023, 5:06 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jul 1, 4:22 PM
Unknown Object (File)
Mon, Jul 1, 4:22 PM
Unknown Object (File)
Mon, Jul 1, 4:22 PM
Unknown Object (File)
Mon, Jul 1, 4:22 PM
Unknown Object (File)
Mon, Jul 1, 4:22 PM
Unknown Object (File)
Mon, Jul 1, 4:07 PM
Unknown Object (File)
Sat, Jun 29, 2:59 AM
Unknown Object (File)
Jun 3 2024, 5:13 AM
Subscribers

Details

Summary

Make it clear we're checking to see if the target is a verified file and
prevent its replacement if so.

Sponsored by: Netflix

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Skipped
Unit
Tests Skipped
Build Status
Buildable 50368
Build 47259: arc lint + arc unit

Event Timeline

imp requested review of this revision.Mar 14 2023, 5:06 PM

Oh, do simon's suggestion too

I would just have a single comment for the new functions: The target is verified, so disallow replacement.

In setmode, Prohibit chmod (set-[gu]id) of verified file.

I would just have a single comment for the new functions: The target is verified, so disallow replacement.

In setmode, Prohibit chmod (set-[gu]id) of verified file.

I get the second one, but not the first one... where should that be? I'm having trouble seeing where it might be helpful...

sys/security/mac_veriexec/mac_veriexec.c
604–605

Delete the leading comment entirely.

606–609
/* The target is verified, so disallow replacement. */

ravi's suggestions, I hope

This revision is now accepted and ready to land.Mar 15 2023, 4:38 AM
This revision was automatically updated to reflect the committed changes.